Package com.dropbox.core.v2.files
Class ExportBuilder
The request builder returned by
DbxUserFilesRequests.exportBuilder(java.lang.String).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the download request using this builder's request parameters and returns aDbxDownloaderfor reading the response body.withExportFormat(String exportFormat) Set value for optional field.Methods inherited from class com.dropbox.core.v2.DbxDownloadStyleBuilder
download, getHeaders, range, range
-
Method Details
-
withExportFormat
Set value for optional field.- Parameters:
exportFormat- The file format to which the file should be exported. This must be one of the formats listed in the file's export_options returned byDbxUserFilesRequests.getMetadata(String). If none is specified, the default format (specified in export_as in file metadata) will be used.- Returns:
- this builder
-
start
Description copied from class:DbxDownloadStyleBuilderIssues the download request using this builder's request parameters and returns aDbxDownloaderfor reading the response body. Callers should fully read the response body usingDbxDownloader.getInputStream()and close the downloader afterwards (seeDbxDownloader.close()). This will allow for proper resource deallocation and connection re-use.. SeeDbxDownloadStyleBuilder.download(java.io.OutputStream)convenience method for a simpler way to complete the request.- Specified by:
startin classDbxDownloadStyleBuilder<ExportResult>- Returns:
DbxDownloaderused to download data and read the response.- Throws:
DbxException- if an error occursing issuing the requestExportErrorException
-